=== debian/changelog ===
skytools3 (3.0~rc1-2) experimental; urgency=low

  * Add automake to the Build Depends (Closes: #632574)
  * Merge with upstream

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 Jul 2011 16:07:12 +0200

skytools3 (3.0~rc1-1) experimental; urgency=low

  * New upstream version of skytools (Closes: #621115)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 28 Mar 2011 14:28:13 +0200

skytools3 (3.0~a1-1) unstable; urgency=low

  * 3.0a1

 -- Marko Kreen <marko.kreen@skype.net>  Mon, 13 Apr 2009 17:16:02 +0300

skytools3 (3.0~a-0) unstable; urgency=low

  * dev tree for 3.0

 -- Marko Kreen <marko.kreen@skype.net>  Fri, 13 Feb 2009 17:33:55 +0200

skytools (2.1.12) unstable; urgency=low

  * v2.1.12

 -- Marko Kreen <marko.kreen@skype.net>  Wed, 10 Nov 2010 15:23:59 +0200

skytools (2.1.12rc2) unstable; urgency=low

  * v2.1.12rc2

 -- Marko Kreen <marko.kreen@skype.net>  Tue, 05 Oct 2010 11:43:38 +0300

skytools (2.1.12rc1) unstable; urgency=low

  * v2.1.12rc1

 -- Marko Kreen <marko.kreen@skype.net>  Tue, 21 Sep 2010 07:26:22 -0700

skytools (2.1.11) unstable; urgency=low

  * v2.1.11

 -- Marko Kreen <marko.kreen@skype.net>  Wed, 03 Feb 2010 18:28:57 +0200

skytools (2.1.11rc1) unstable; urgency=low

  * v2.1.11rc1

 -- Marko Kreen <marko.kreen@skype.net>  Fri, 30 Oct 2009 18:05:58 +0200

skytools (2.1.10) unstable; urgency=low

  * v2.1.10

 -- Marko Kreen <marko.kreen@skype.net>  Mon, 31 Aug 2009 16:44:53 +0300

skytools (2.1.10rc1) unstable; urgency=low

  * v2.1.10rc1

 -- Marko Kreen <marko.kreen@skype.net>  Mon, 17 Aug 2009 15:52:16 +0300

skytools (2.1.9) unstable; urgency=low

  * v2.1.9

 -- Marko Kreen <marko.kreen@skype.net>  Fri, 13 Mar 2009 15:39:18 +0200

skytools (2.1.9rc1) unstable; urgency=low

  * v2.1.9rc1

 -- Marko Kreen <marko.kreen@skype.net>  Thu, 26 Feb 2009 14:50:49 +0200

skytools (2.1.8) unstable; urgency=low

  * v2.1.8

 -- Marko Kreen <marko.kreen@skype.net>  Sun, 12 Oct 2008 13:29:09 +0300

skytools (2.1.8rc1) unstable; urgency=low

  * v2.1.8rc1

 -- Marko Kreen <marko.kreen@skype.net>  Mon, 22 Sep 2008 16:31:27 +0300

skytools (2.1.7) unstable; urgency=low

  * v2.1.7

 -- Marko Kreen <marko.kreen@skype.net>  Wed, 28 May 2008 17:04:32 +0300

skytools (2.1.6) unstable; urgency=low

  * Final release

 -- Marko Kreen <marko.kreen@skype.net>  Sat, 05 Apr 2008 16:45:11 +0300

skytools (2.1.6rc3) unstable; urgency=low

  * quoting/parsing fixes
  ? walmgr fix

 -- Marko Kreen <marko.kreen@skype.net>  Wed, 12 Mar 2008 15:43:39 +0200

skytools (2.1.6rc2) unstable; urgency=low

  * Bugfix release.

 -- Marko Kreen <marko.kreen@skype.net>  Fri, 07 Dec 2007 16:12:27 +0200

skytools (2.1.5) unstable; urgency=low

  * New public release.

 -- Marko Kreen <marko.kreen@skype.net>  Mon, 19 Nov 2007 15:32:41 +0200

skytools (2.1.4) unstable; urgency=low

  * Upgrade walmgr, some fixes.

 -- Marko Kreen <marko.kreen@skype.net>  Fri, 13 Apr 2007 11:08:41 +0300

skytools (2.1.3) unstable; urgency=low

  * brown paper bag

 -- Marko Kreen <marko.kreen@skype.net>  Tue, 10 Apr 2007 11:55:47 +0300

skytools (2.1.2) unstable; urgency=low

  * more bugfixes

 -- Marko Kreen <marko.kreen@skype.net>  Mon, 09 Apr 2007 17:56:35 +0300

skytools (2.1.1) unstable; urgency=low

  * bugfixes

 -- Marko Kreen <marko.kreen@skype.net>  Tue, 03 Apr 2007 15:03:28 +0300

skytools (2.1) unstable; urgency=low

  * cleanup

 -- Marko Kreen <marko.kreen@skype.net>  Fri, 02 Feb 2007 12:38:17 +0200
