=== debian/changelog ===
skytools3 (3.1.3-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-skytools3-source-distribution=sid-3,
    git revision d7002d56fd355bf8df99996345024cf49e6cd08c)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 08 Feb 2013 14:06:28 +0100

skytools3 (3.1.3-1) experimental; urgency=low

  * New upstream version.
  * Includes packaging fixes from Dimitri and Marko.
  * Properly uses pg_buildext (Closes: #644540, #694030)
  * Depends on python-psycopg2 (Closes: #652344)

 -- Christoph Berg <myon@debian.org>  Fri, 08 Feb 2013 14:02:25 +0100

skytools3 (3.0~rc2-1) experimental; urgency=low

  * Fix skytools3-walmgr dependencies (support 9.1)
  * Bug fixes upstream

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 11 Oct 2011 12:06:54 +0200
