=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: database
 Priority: extra
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libevent-dev, python-all-dev, python-support, python-psycopg2, xmlto, asciidoc, libpq-dev, postgresql-server-dev-8.4, postgresql-server-dev-9.0
-Standards-Version: 3.9.1
+Uploaders: Christoph Berg <myon@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libtool, libevent-dev,
+  python-all-dev, python-support, python-psycopg2, xmlto, asciidoc, libpq-dev, postgresql-server-dev-all
+Standards-Version: 3.9.3
 Homepage: http://wiki.postgresql.org/wiki/Skytools
 Vcs-Git: http://github.com/markokr/skytools.git
 Vcs-Browser: https://github.com/markokr/skytools
@@ -36,8 +38,8 @@
 
 Package: skytools3-walmgr
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, python-skytools3, postgresql-8.4 | postgresql-9.0
-Enhances: postgresql-8.4, postgresql-9.0
+Depends: ${misc:Depends}, ${python:Depends}, python-skytools3, postgresql
+Enhances: postgresql-8.4, postgresql-9.0, postgresql-9.1
 Description: Skype tools for PostgreSQL replication and failover
  This is a package of tools in use in Skype for replication and failover.
  It's the WAL Shipping part of it (binary cluster-wide replication).
@@ -50,6 +52,16 @@
  PL/pgsql, and C code in database, with Python framework on top of it.  It
  is based on snapshot based event handling ideas from Slony-I, written for
  general usage.
+
+Package: postgresql-8.3-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-8.3
+Provides: skytools-modules
+Conflicts: skytools-modules-8.3
+Replaces: skytools-modules-8.3
+Description: Skype tools for PostgreSQL replication, londiste and PGQ
+ This is the PGQ extension used by Skype replication, londiste. It consists
+ of PL/pgsql, and C code in database.
 
 Package: postgresql-8.4-pgq3
 Architecture: any
@@ -70,3 +82,24 @@
 Description: Skype tools for PostgreSQL replication, londiste and PGQ
  This is the PGQ extension used by Skype replication, londiste. It consists
  of PL/pgsql, and C code in database.
+
+Package: postgresql-9.1-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
+Provides: skytools-modules
+Conflicts: skytools-modules-9.1
+Replaces: skytools-modules-9.1
+Description: Skype tools for PostgreSQL replication, londiste and PGQ
+ This is the PGQ extension used by Skype replication, londiste. It consists
+ of PL/pgsql, and C code in database.
+
+Package: postgresql-9.2-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
+Provides: skytools-modules
+Conflicts: skytools-modules-9.2
+Replaces: skytools-modules-9.2
+Description: Skype tools for PostgreSQL replication, londiste and PGQ
+ This is the PGQ extension used by Skype replication, londiste. It consists
+ of PL/pgsql, and C code in database.
+
